# Method: media.upload

- [HTTP request](https://developers.google.com/display-video/api/reference/rest/v4/media/upload#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/display-video/api/reference/rest/v4/media/upload#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/display-video/api/reference/rest/v4/media/upload#body.request_body)
- [Response body](https://developers.google.com/display-video/api/reference/rest/v4/media/upload#body.response_body)
- [Authorization scopes](https://developers.google.com/display-video/api/reference/rest/v4/media/upload#body.aspect)
- [Try it!](https://developers.google.com/display-video/api/reference/rest/v4/media/upload#try-it)

Uploads media. Upload is supported on the URI `/upload/media/{resourceName=**}?upload_type=media.`

**Note** : Upload requests will not be successful without including `upload_type=media` query string.

### HTTP request

- Upload URI, for media upload requests:  
  `POST https://displayvideo.googleapis.com/upload/media/{resourceName=**}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `resourceName` | `string` Name of the media that is being downloaded. See `ReadRequest.resource_name`. |

### Request body

The request body contains an instance of `https://developers.google.com/display-video/api/reference/rest/v4/Media`.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/display-video/api/reference/rest/v4/Media`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/display-video`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).